Index: /trunk/mesoscale/LMD_MM_MARS/SIMU/runmeso
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SIMU/runmeso	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SIMU/runmeso	(revision 28)
@@ -61,4 +61,10 @@
 #echo '***********************'
 echo '** Simulation directory  >>> '${simu_folder} 
+   ######## NEWPHYS
+   ## if [[ ! ( -f "run.def" ) ]]
+   ## then
+   ##    echo 'new physics: you got to have run.def !'
+   ##    exit
+   ## fi
 if [[ ! ( -f "namelist.input" ) ]]
 then
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 28)
@@ -184,4 +184,6 @@
 state  real   hi_gc          igj   dyn_em  1  Z  i1  "HI"               "water ice"               "kg/kg"
 state  real   tsoil_gc       igj   dyn_em  1  Z  i1  "TSOIL"            "soil temperatures"       "K"
+state  real   isoil_gc       igj   dyn_em  1  Z  i1  "ISOIL"            "soil thermal inertia"    "tiu"
+state  real   dsoil_gc       igj   dyn_em  1  Z  i1  "DSOIL"            "soil depths"             "m"
 ####
 #### variables dans wrf
@@ -194,4 +196,6 @@
 state  real   mars_cice       ij   misc  1  -  i012rd  "MARS_CICE"   "co2 ice"                 "kg"
 state  real   mars_tsoil     ilj   misc  1  -  i012rd  "MARS_TSOIL"  "soil temperatures"       "K"
+state  real   mars_isoil     ilj   misc  1  -  i012rd  "MARS_ISOIL"  "soil thermal inertia"    "tiu"
+state  real   mars_dsoil     ilj   misc  1  -  i012rd  "MARS_DSOIL"  "soil depths"             "m"
 state  real   mars_gw        ilj   misc  1  -  i012rd  "MARS_GW"     "gwparam"                 " "
 ####
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis.inc	(revision 28)
@@ -14,6 +14,6 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+               walbedodat,,wphisfi,                         &
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta,wpsi,wvolcapa)
 
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis1.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis1.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis1.inc	(revision 28)
@@ -14,6 +14,9 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
-
+               wtheta, wpsi)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis2.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis2.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis2.inc	(revision 28)
@@ -17,7 +17,12 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
+
 
        CASE(2)
@@ -31,7 +36,12 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
+
 !
 !       CASE(3:)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis3.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis3.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis3.inc	(revision 28)
@@ -17,7 +17,11 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
 
        CASE(2)
@@ -31,7 +35,11 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
 
        CASE(3)
@@ -45,7 +53,11 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
 
 
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis4.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis4.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_inifis4.inc	(revision 28)
@@ -17,7 +17,11 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
 
        CASE(2)
@@ -31,7 +35,11 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
 
        CASE(3)
@@ -45,7 +53,11 @@
                wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
                wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-               walbedodat,winertiedat,wphisfi,                         &
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
                wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-               wtheta,wpsi)
+               wtheta, wpsi)
 
        CASE(4)
@@ -59,7 +71,11 @@
               wemissiv,wemissiceN,wemissiceS,walbediceN,walbediceS,   &
               wiceradiusN,wiceradiusS,wdtemisiceN,wdtemisiceS,        &
-              walbedodat,winertiedat,wphisfi,                         &
-              wzmea,wzstd,wzsig,wzgam,wzthe,                          &
-              wtheta,wpsi)
+#ifdef NEWPHYS
+               walbedodat, wphisfi, wvolcapa,                          &
+#else
+               walbedodat, winertiedat, wphisfi,                       &
+#endif
+               wzmea,wzstd,wzsig,wzgam,wzthe,                          &
+               wtheta, wpsi)
 
 !
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq.inc	(revision 28)
@@ -10,4 +10,5 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+               wisoil, wdsoil, &
                wecri_phys_sec,                &
 	       output_tab2d, output_tab3d, flag_LES)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq1.inc	(revision 28)
@@ -10,4 +10,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
 	       output_tab2d, output_tab3d, flag_LES)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq2.inc	(revision 28)
@@ -13,4 +13,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
@@ -22,4 +25,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq3.inc	(revision 28)
@@ -13,4 +13,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
@@ -22,4 +25,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
@@ -31,4 +37,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/call_meso_physiq4.inc	(revision 28)
@@ -13,4 +13,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
@@ -22,4 +25,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
@@ -31,4 +37,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
@@ -40,4 +49,7 @@
                pdu, pdv, pdt, pdq, pdpsrf, tracerdyn,          &
                wtsurf,wtsoil,wemis,wq2,wqsurf,wco2ice,                 &
+#ifdef NEWPHYS
+               wisoil, wdsoil, &
+#endif
                wecri_phys_sec,                &
                output_tab2d, output_tab3d, flag_LES)
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/module_initialize_real.F	(revision 28)
@@ -284,4 +284,57 @@
               ENDDO  
 
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+#ifdef NEWPHYS
+              ! here, that bit is necessary for new soil model !          
+              IF (config_flags%init_TI .ne. 0.) THEN
+                  grid%therm_inert = grid%therm_inert*0. + config_flags%init_TI
+                  print *, 'constant thermal inertia ', config_flags%init_TI
+              ENDIF
+
+              DO k = 1, config_flags%num_soil_layers  
+                grid%mars_isoil(i,k,j)=grid%em_isoil_gc(i,k+1,j)
+                grid%mars_dsoil(i,k,j)=grid%em_dsoil_gc(i,k+1,j)
+              ENDDO
+
+              DO k = 1, config_flags%num_soil_layers
+                !!!!!!!!!!!!!!!!! DONE in soil_setting.F
+                IF (grid%mars_dsoil(i,k,j) == -999.) THEN  !! old soil depths (or) no info in files
+                   grid%mars_dsoil(i,k,j) = sqrt(887.75/3.14)*((2.**(k-0.5))-1.) * grid%therm_inert(i,j) / wvolcapa 
+                       !!! ATTENTION il faut interpoler si le nombre de niveaux change
+                       !!! voir soil_setting.F (olddepthdef=.true. ; interpol=.true.)
+                       !!! mais: en meso-echelle on a juste a prendre le mm nombre de niveaux que le GCM   
+                ENDIF
+                IF (grid%mars_isoil(i,k,j) == -999.) THEN  !! old soil model (or) no 3D thermal inertia   
+                   grid%mars_isoil(i,k,j) = grid%therm_inert(i,j)
+                ELSE             
+                   IF (grid%mars_dsoil(i,k,j) .le. sqrt(88775./3.14) * grid%therm_inert(i,j) / wvolcapa) THEN
+                           grid%mars_isoil(i,k,j) = grid%therm_inert(i,j)  !! if depth < skin depth, we use hi-res TI
+                   ELSE  !! if depth > skin depth, we use low-res (GCM) TI
+                         !! except for a transition layer
+                         !!   EM: and, well, it would be wrong to sum up TI values
+                         !!   EM: (cf. last page of soil model technical document)
+                           IF (grid%mars_dsoil(i,k-1,j) .le. sqrt(88775./3.14) * grid%therm_inert(i,j) / wvolcapa) THEN
+                                   grid%mars_isoil(i,k,j) = &
+                                   sqrt( &
+                                         ( grid%mars_dsoil(i,k+1,j) - grid%mars_dsoil(i,k-1,j) ) &
+                                         / &
+                                         ( ( (grid%mars_dsoil(i,k,j) - grid%mars_dsoil(i,k-1,j)) &
+                                              / (grid%mars_isoil(i,k-1,j)*grid%mars_isoil(i,k-1,j)) ) &
+                                           + &
+                                           ( (grid%mars_dsoil(i,k+1,j) - grid%mars_dsoil(i,k,j)) &
+                                              / (grid%mars_isoil(i,k+1,j)*grid%mars_isoil(i,k+1,j)) ) &
+                                         ) &
+                                       ) 
+                           ENDIF       !! grid%mars_isoil(i,k-1,j) was changed at previous step to value grid%therm_inert(i,j)
+                                       !! grid%mars_isoil(i,k+1,j) is defined to large-scale value grid%em_isoil_gc   
+                   ENDIF        
+                ENDIF
+                !!!!!!!!!!!!!!!!! DONE in soil_setting.F
+
+              ENDDO  
+#endif
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
 grid%mars_gw(i,1,j)=grid%st040100(i,j)  !!ZMEA
 grid%mars_gw(i,2,j)=grid%st100200(i,j)  !!ZSTD
@@ -362,11 +415,11 @@
   DO j = jts, MIN(jte,jde-1)
   DO i = its, MIN(ite,ide-1)
-	grid%em_u_gc(i,:,j)=grid%em_u_gc(config_flags%init_WX,:,config_flags%init_WY)	! zonal wind
-	grid%em_v_gc(i,:,j)=grid%em_v_gc(config_flags%init_WX,:,config_flags%init_WY)	! meridional wind
+     grid%em_u_gc(i,:,j)=grid%em_u_gc(config_flags%init_WX,:,config_flags%init_WY) ! zonal wind
+     grid%em_v_gc(i,:,j)=grid%em_v_gc(config_flags%init_WX,:,config_flags%init_WY) ! meridional wind
   ENDDO
   ENDDO
   !! FIX for the STAGGERED SPECIFICITY
   grid%em_u_gc(MIN(ite,ide-1)+1,:,:)=grid%em_u_gc(MIN(ite,ide-1),:,:)
-  grid%em_v_gc(:,:,MIN(jte,jde-1)+1)=grid%em_v_gc(:,:,MIN(jte,jde-1))	
+  grid%em_v_gc(:,:,MIN(jte,jde-1)+1)=grid%em_v_gc(:,:,MIN(jte,jde-1))
 
   !! CHECK
@@ -396,6 +449,6 @@
 IF (config_flags%init_LES) THEN
 
-	print *, '*** LES MODE ***'
-	print *, 'setting uniform values and profiles'
+        print *, '*** LES MODE ***'
+        print *, 'setting uniform values and profiles'
         print *, 'u', grid%em_u_gc(its+1,:,jts+1)
         print *, 'v', grid%em_v_gc(its+1,:,jts+1)
@@ -430,4 +483,7 @@
 grid%mars_tsoil(i,:,j)=grid%mars_tsoil(its+1,:,jts+1)
 
+!!! 
+grid%mars_isoil(i,:,j)=grid%mars_isoil(its+1,:,jts+1)
+grid%mars_dsoil(i,:,j)=grid%mars_dsoil(its+1,:,jts+1)
 
 !! T.Michaels trick to break symmetry
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/dyn_em/solve_em.F	(revision 28)
@@ -854,4 +854,8 @@
      &        ,MARS_CICE=grid%mars_cice,MARS_EMISS=grid%mars_emiss   &  
      &        ,MARS_TSOIL=grid%mars_tsoil       &
+#ifdef NEWPHYS
+     &        ,MARS_ISOIL=grid%mars_isoil       &
+     &        ,MARS_DSOIL=grid%mars_dsoil       &
+#endif
      &        ,MARS_GW=grid%mars_gw  &  
      &        ,NUM_SOIL_LAYERS=config_flags%num_soil_layers    &
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F	(revision 28)
@@ -10,4 +10,5 @@
 !           - general cleaning of code and comments - October 2008 
 !           - additions for idealized cases - January 2009
+!           - additions for new soil model in physics - January 2010 
 !*******************************************************************************
 MODULE module_lmd_driver
@@ -29,4 +30,8 @@
         MARS_ALB,MARS_TI,MARS_CICE,MARS_EMISS, &
         MARS_TSOIL, &
+#ifdef NEWPHYS
+        MARS_ISOIL, &
+        MARS_DSOIL, &
+#endif
         MARS_GW, &
         NUM_SOIL_LAYERS, &
@@ -105,5 +110,9 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 REAL, DIMENSION( ims:ime, NUM_SOIL_LAYERS, jms:jme ), INTENT(IN   )  :: &
-     MARS_TSOIL         
+     MARS_TSOIL
+#ifdef NEWPHYS
+REAL, DIMENSION( ims:ime, NUM_SOIL_LAYERS, jms:jme ), INTENT(IN   )  :: &
+     MARS_ISOIL, MARS_DSOIL         
+#endif
 REAL, DIMENSION( ims:ime, 5, jms:jme ), INTENT(IN   )  :: &
      MARS_GW
@@ -147,4 +156,7 @@
    LOGICAL :: firstcall,lastcall,tracerdyn
    REAL,DIMENSION(:),ALLOCATABLE :: q2_val, qsurf_val, tsoil_val
+#ifdef NEWPHYS
+   REAL,DIMENSION(:),ALLOCATABLE :: isoil_val, dsoil_val
+#endif
    REAL,DIMENSION(:),ALLOCATABLE :: aire_vec,lat_vec,lon_vec
    REAL,DIMENSION(:),ALLOCATABLE :: walbedodat,winertiedat,wphisfi
@@ -153,5 +165,8 @@
    ! v--- can they be modified ?
    REAL,DIMENSION(:),ALLOCATABLE :: wtsurf,wco2ice,wemis
-   REAL,DIMENSION(:,:),ALLOCATABLE :: wq2,wqsurf,wtsoil 
+   REAL,DIMENSION(:,:),ALLOCATABLE :: wq2,wqsurf,wtsoil
+#ifdef NEWPHYS
+   REAL,DIMENSION(:,:),ALLOCATABLE :: wisoil,wdsoil
+#endif 
    ! ----------	
    REAL,DIMENSION(:,:),ALLOCATABLE :: pplev,pplay,pphi,pu,pv,pt,pw
@@ -451,7 +466,15 @@
 ALLOCATE(qsurf_val(nq))
 ALLOCATE(tsoil_val(nsoil))
+#ifdef NEWPHYS
+ALLOCATE(isoil_val(nsoil))
+ALLOCATE(dsoil_val(nsoil))
+#endif
 ALLOCATE(wq2(ngrid,nlayer+1))
 ALLOCATE(wqsurf(ngrid,nq)) 
 ALLOCATE(wtsoil(ngrid,nsoil))
+#ifdef NEWPHYS
+ALLOCATE(wisoil(ngrid,nsoil))
+ALLOCATE(wdsoil(ngrid,nsoil))
+#endif
 ALLOCATE(pplev(ngrid,nlayer+1))
 ALLOCATE(pplay(ngrid,nlayer))
@@ -594,4 +617,8 @@
 tsoil_val = tsoil_val*0. + tsurf_val
 ENDIF
+#ifdef NEWPHYS
+isoil_val(:)=MARS_ISOIL(i,:,j)
+dsoil_val(:)=MARS_DSOIL(i,:,j)
+#endif
 
 !-------------------!
@@ -630,4 +657,8 @@
  PRINT *,'v_prof ',v_prof
  PRINT *,'tsoil ',tsoil_val
+#ifdef NEWPHYS
+ PRINT *,'isoil ',isoil_val
+ PRINT *,'dsoil ',dsoil_val
+#endif
 ENDIF
 
@@ -660,4 +691,8 @@
 wqsurf(subs,:) = qsurf_val(:)
 wtsoil(subs,:) = tsoil_val(:)
+#ifdef NEWPHYS
+wisoil(subs,:) = isoil_val(:)
+wdsoil(subs,:) = dsoil_val(:)
+#endif
 wtheta(subs) = theta_val
 wpsi(subs) = psi_val
@@ -680,5 +715,5 @@
 pplev(subs,1:nlayer) = p8w_prof(1:nlayer)  !! NB: last level: no data
 pplay(subs,:) = p_prof(:)
-pt(subs,:) = t_prof(:)  ! temperature
+pt(subs,:) = t_prof(:)
 pu(subs,:) = u_prof(:)
 pv(subs,:) = v_prof(:)
@@ -711,4 +746,8 @@
 DEALLOCATE(qsurf_val)
 DEALLOCATE(tsoil_val)
+#ifdef NEWPHYS
+DEALLOCATE(isoil_val)
+DEALLOCATE(dsoil_val)
+#endif
 DEALLOCATE(dz8w_prof)
 DEALLOCATE(z_prof)
@@ -738,5 +777,6 @@
 IF (firstcall .EQV. .true.) THEN
 print *, '** Mars ** LMD INITIALIZATION'
-include "../call_meso_inifis.inc"
+#include "../call_meso_inifis.inc"
+!!! le # est important pour newphys
 DEALLOCATE(aire_vec)
 DEALLOCATE(lat_vec)
@@ -777,5 +817,6 @@
 pdt(:,:)=0.
 pdq(:,:,:)=0.
-include "../call_meso_physiq.inc" 
+#include "../call_meso_physiq.inc" 
+!!! le # est important pour newphys
 DEALLOCATE(pplev)
 DEALLOCATE(pplay)
@@ -792,4 +833,8 @@
 DEALLOCATE(wqsurf)
 DEALLOCATE(wtsoil)
+#ifdef NEWPHYS
+DEALLOCATE(wisoil)
+DEALLOCATE(wdsoil)
+#endif
 
 
Index: /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/share/module_model_constants.F
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/share/module_model_constants.F	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/SRC/WRFV2/share/module_model_constants.F	(revision 28)
@@ -72,4 +72,7 @@
    REAL    , PARAMETER :: wdtemisiceN   = 0.4  ! time scale for snow metamorphism (north) !2  
    REAL    , PARAMETER :: wdtemisiceS   = 0.4  ! time scale for snow metamorphism (south) !2 
+#ifdef NEWPHYS
+   REAL    , PARAMETER :: wvolcapa      = 1.e6       ! volumetric capacity of soil (new soil model)
+#endif
 !
 !-------------------------------
Index: /trunk/mesoscale/LMD_MM_MARS/makemeso
===================================================================
--- /trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 27)
+++ /trunk/mesoscale/LMD_MM_MARS/makemeso	(revision 28)
@@ -299,5 +299,9 @@
                        sed s+"mpif90"+"${WHERE_MPI}/mpif90"+g configure.wrf | sed s+"mpicc"+"${WHERE_MPI}/mpicc"+g | sed s+"mpicc"+"mpicc -DMPI2_SUPPORT"+g > yeah
                                 #| sed s+"fastsse"+"fast"+g > yeah
-                       mv -f yeah configure.wrf ;; 
+                       mv -f yeah configure.wrf ;;
+                       #sed s+"-fastsse"+"-O2 -Munroll -Mcache_align"+g configure.wrf > yeah 
+                       ##sed s+"-fastsse"+"-O2 -fpic"+g configure.wrf > yeah ## marche pas, ILM problem
+                       ##sed s+"-fastsse"+"-mcmodel=medium -Mlarge_arrays"+g configure.wrf > yeah ## marche pas, ILM problem
+                       #mv -f yeah configure.wrf ;; 
                      # MPICH, 64 bits, OK with periodic BC but no positive definite
      mpi_64_test)      cd arch ; ln -sf ../configure.defaults.fix64nest configure.defaults ; cd ..
@@ -372,4 +376,5 @@
   # -- default is 10
   soilsize=10
+  #soilsize=18 ## nouvelle physique
 
   # GCM environment variables
